Debian Bug report logs - #719950
miniupnpd: [debconf_rewrite] Debconf templates and debian/control review proposal

version graph

Package: miniupnpd; Maintainer for miniupnpd is Thomas Goirand <zigo@debian.org>; Source for miniupnpd is src:miniupnpd.

Reported by: Christian Perrier <bubulle@debian.org>

Date: Sat, 17 Aug 2013 05:57:02 UTC

Severity: normal

Fixed in version miniupnpd/1.8.20130730-2

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Thomas Goirand <zigo@debian.org>:
Bug#719950; Package miniupnpd. (Sat, 17 Aug 2013 05:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to Thomas Goirand <zigo@debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

N/A

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sat, 17 Aug 2013 05:57:06 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: miniupnpd: [debconf_rewrite] Debconf templates and debian/control review proposal
Date: Sat, 17 Aug 2013 07:53:41 +0200
Package: miniupnpd
Version: N/A
Severity: normal

Dear Debian maintainer,

Hello,

I just noticed new or modified debconf templates appearing for this
package.

I would like to suggest you to consider calling for debconf templates
review AND translation updates when you introduce new debconf
templates or modify the existing templates in a package or, if you
prefer, to send a call for translations after uploading the first
version that introduces new templates or templates changes.

If you're interested in suggestions for doing this, you can find some
at the end of this bug report.

The debian-l10n-english team will now start a review, on our own
initiative. It will be conducted through this bug report.


Suggestions for future debconf templates review
------------------------------------------------

1) Getting debconf templates reviewed
--------------------------------------

The Debian i18n contributors have developed a set of suggestions for
the writing style of debconf templates, to give them an overall
consistency all around Debian. These writing style suggestions are
explained in the Developers Reference. Lintian also warns about common
writing style concerns.

Maintainers are welcome when they ask for a review of debconf templates
and/or packages descriptions on debian-l10n-english@lists.debian.org.
It is of course not needed to wait for someone (such as me right me)
proposing you such a review.

In such situations (whether the review is requested by the maintainer
or proposed by someone else), someone from the debian-l10n-english
team will pick up the review to do, handle it, and finally send you a
bug report with the suggested templates. If you want, you can ask for
being CC'ed to the various discussions when the templates are
reviewed.


2) Call for new translations
----------------------------

As soon as the templates have been reviewed, you can ask Debian
translators for new translations:

Just go to your package's build tree and use:

$ podebconf-report-po --call

This will propose you a generic mail which is to be sent to
debian-i18n@lists.debian.org and call for new translations.

This utility will mention existing translations to avoid duplicate
work. 

It will also attach the needed material to this mail.

Please also think about giving a deadline to translators. We like
deadlines..:-)

3) Always call for translation updates before uploading
-------------------------------------------------------

(of course only when you change the debconf templates!)

If your package already includes debconf translations (ie *.po files
in debian/po), please consider calling for translation updates if you
happen to change something in the templates...or just in case when you
release a new version.

This is done with the following command:

$ podebconf-report-po

This will build private mails to translators (ie people listed in
"Last-Translator" in the PO files) for translations that are
incomplete. These mails will included the needed PO file for each
translator.


-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.10-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Goirand <zigo@debian.org>:
Bug#719950; Package miniupnpd. (Sat, 17 Aug 2013 08:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Thomas Goirand <zigo@debian.org>. (Sat, 17 Aug 2013 08:30:04 GMT) Full text and rfc822 format available.

Message #10 received at 719950@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 719950@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [ITR] templates://miniupnpd/{miniupnpd.templates}
Date: Sat, 17 Aug 2013 10:27:13 +0200
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

The Debian internationalisation team and the Debian English
localisation team will soon begin the review of the debconf
templates used in miniupnpd.

This review takes place for all packages that use debconf to interact with
users and its aims are:
- to improve the use of English in all debconf templates;
- to make the wording of debconf templates more consistent;
- to encourage more translations of templates.

Even if your first language is English, this process is likely to help
track down typos or errors, and improve consistency between the
debconf templates of your package and that of other packages in the
distribution.

The process involves both debian-l10n-english contributors and
Debian translators.

The details of the process are given in
http://wiki.debian.org/I18n/SmithDebconfReviewProcess.

I will act as the coordinator of this activity for miniupnpd.

The first step of the process is to review the debconf source
template file(s) of miniupnpd. This review will start on Tuesday, August 20, 2013, or
as soon as you acknowledge this mail with an agreement for us to
carry out this process.

All parts of the process will be carried out in close collaboration
with you, and, unless you explicitely ask for it, no upload nor NMU
will happen for miniupnpd.

If you approve this process, please let us know by replying to this
mail. If some work in progress on your side would conflict with such a
rewrite (such as adding or removing debconf templates), please say so,
and we will defer the review to later in the development cycle.

Thank you for your attention.

-- 


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Goirand <zigo@debian.org>:
Bug#719950; Package miniupnpd. (Mon, 19 Aug 2013 18:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <justin.byam.rye@gmail.com>:
Extra info received and forwarded to list. Copy sent to Thomas Goirand <zigo@debian.org>. (Mon, 19 Aug 2013 18:42:05 GMT) Full text and rfc822 format available.

Message #15 received at 719950@bugs.debian.org (full text, mbox):

From: Justin B Rye <justin.byam.rye@gmail.com>
To: debian-l10n-english@lists.debian.org
Cc: 719950@bugs.debian.org
Subject: Re: [TAF] templates://miniupnpd/{miniupnpd.templates}
Date: Mon, 19 Aug 2013 19:39:53 +0100
We're jumping the gun here; let's at least keep the BTS CCed.

victory wrote:
>> Template: miniupnpd/ip6script
>> Type: boolean
>> Default: false
>> _Description: Enable ip6tables script?
>>  Uppon startup of the MiniUPnP daemon, the init script can initialize the
>>  MiniUPnP IPv6 firewall chain.
> 
> "Uppon" looks like a typo of Upon

Yes.  It probably ought to be rewritten along the lines of

   _Description: Enable IPv6 firewall chain?
    Please specify whether the MiniUPnP daemon should run its ip6tables script
    on startup to initialize the IPv6 firewall chain.

It could do with some extra content to give some hint as to the pros
and cons of this option.  And I see there's also an iptables_init.sh;
presumably that one always runs?
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package



Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Goirand <zigo@debian.org>:
Bug#719950; Package miniupnpd. (Thu, 22 Aug 2013 07:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-l10n-english@lists.debian.org:
Extra info received and forwarded to list. Copy sent to Thomas Goirand <zigo@debian.org>. (Thu, 22 Aug 2013 07:39:07 GMT) Full text and rfc822 format available.

Message #20 received at 719950@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 719950@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [RFR] templates://miniupnpd/{miniupnpd.templates}
Date: Thu, 22 Aug 2013 09:34:16 +0200
[Message part 1 (text/plain, inline)]
Please find, for review, the debconf templates and packages descriptions for the miniupnpd source package.

This review will last from Thursday, August 22, 2013 to Sunday, September 01, 2013.

Please send reviews as unified diffs (diff -u) against the original
files. Comments about your proposed changes will be appreciated.

Your review should be sent as an answer to this mail.

When appropriate, I will send intermediate requests for review, with
"[RFRn]" (n>=2) as a subject tag.

When we will reach a consensus, I send a "Last Chance For
Comments" mail with "[LCFC]" as a subject tag.

Finally, a summary will be sent to the review bug report,
and a mail will be sent to this list with "[BTS]" as a subject tag.

Rationale:

Preamble: I'm not entirely happy with this review. I feel like the
whole debconf templates do no look very idiomatic but I found no way
to give them less French accent..:-)


--- miniupnpd.old/debian/miniupnpd.templates	2013-08-17 07:53:13.557776725 +0200
+++ miniupnpd/debian/miniupnpd.templates	2013-08-22 09:29:43.789726277 +0200
@@ -2,24 +2,24 @@
 Type: boolean
 Default: false
 _Description: Start the MiniUPnP daemon?
- Select if the MiniUPnP daemon should started automatically at boot time.
+ Please choose this option if you want to automatically start the MiniUPnP daemon at boot time.
 

Our usual formula...


 Template: miniupnpd/listen
 Type: string
-_Description: IP address to listen for UPnP queries on your LAN:
- The MiniUPnP daemon will listen for requests on your local network. Please
+_Description: IP address to listen for UPnP queries on the local network:
+ The MiniUPnP daemon will listen for requests on the local network. Please
  enter the IP address it should listen on.

Just avoid possessive articles.You know the rationale: "that might
not be "my" network.

 
 Template: miniupnpd/iface
 Type: string
 _Description: External WAN network interface where to open ports:
- The MiniUPnP daemon will listen on a specific IP address on your LAN, then it
- will open ports on your WAN interface. Enter the name of your WAN network
+ The MiniUPnP daemon will listen on a specific IP address on the local network, then it
+ will open ports on the WAN interface. Enter the name of the WAN network
  interface on which the MiniUPnP daemon will do the port forwarding.

Ditto.

 
 Template: miniupnpd/ip6script
 Type: boolean
 Default: false
-_Description: Enable ip6tables script?
- Uppon startup of the MiniUPnP daemon, the init script can initialize the
- MiniUPnP IPv6 firewall chain.
+_Description: Enable IPv6 firewall chain?
+ Please specify whether the MiniUPnP daemon should run its
+ ip6tables script on startup to initialize the IPv6 firewall chain.
--- miniupnpd.old/debian/control	2013-08-17 07:53:13.557776725 +0200
+++ miniupnpd/debian/control	2013-08-22 09:30:39.255328099 +0200

Already proposed by Justin, previously


@@ -13,10 +13,10 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, debconf, iptables, iproute, uuid-runtime, net-tools
 Description: daemon providing UPnP Internet Gateway Device (IGD) services
  MiniUPnPd is a small daemon providing UPnP Internet Gateway Device (IGD)
- services to your network. UPnP and NAT-PMP are used to improve internet
+ services to the network. UPnP and NAT-PMP are used to improve Internet
  connectivity for devices behind a NAT router. Any peer to peer network
  application such as games, IM, etc. can benefit from a NAT router supporting
- UPnP and/or NAT-PMP. For example the latest generation Microsoft XBOX 360 and
+ UPnP and/or NAT-PMP. For example, the latest generation Microsoft XBOX 360 and
  Sony Playstation 3 game machines use UPnP commands to enable the online play
  with the XBOX Live service and the Playstation Network. It has been reported
  that MiniUPnPd is correctly working with the two consoles.

Just some details asthe description seems fine to me.

Maybe explain somewhere what UPnP means?


-- 


[miniupnpd.templates (text/plain, attachment)]
[patch.rfr (text/plain, attachment)]
[control (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Goirand <zigo@debian.org>:
Bug#719950; Package miniupnpd. (Thu, 22 Aug 2013 11:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <justin.byam.rye@gmail.com>:
Extra info received and forwarded to list. Copy sent to Thomas Goirand <zigo@debian.org>. (Thu, 22 Aug 2013 11:12:06 GMT) Full text and rfc822 format available.

Message #25 received at 719950@bugs.debian.org (full text, mbox):

From: Justin B Rye <justin.byam.rye@gmail.com>
To: debian-l10n-english@lists.debian.org
Cc: 719950@bugs.debian.org
Subject: Re: [RFR] templates://miniupnpd/{miniupnpd.templates}
Date: Thu, 22 Aug 2013 12:08:47 +0100
[Message part 1 (text/plain, inline)]
Christian PERRIER wrote:
> Preamble: I'm not entirely happy with this review. I feel like the
> whole debconf templates do no look very idiomatic but I found no way
> to give them less French accent..:-)

> --- miniupnpd.old/debian/miniupnpd.templates	2013-08-17 07:53:13.557776725 +0200
> +++ miniupnpd/debian/miniupnpd.templates	2013-08-22 09:29:43.789726277 +0200
> @@ -2,24 +2,24 @@
>  Type: boolean
>  Default: false
>  _Description: Start the MiniUPnP daemon?

Hang on, it's not asking if it should happen this once.  We usually
phrase this as something like

   _Description: Start the MiniUPnP daemon at boot?

> + Please choose this option if you want to automatically start the MiniUPnP daemon at boot time.

Why does it default to false?
 
>  Template: miniupnpd/listen
>  Type: string
> +_Description: IP address to listen for UPnP queries on the local network:

It's the IP address to listen on⁁ on the local network, which is ugly!
Maybe:

   _Description: Local address to listen on for UPnP queries:

> + The MiniUPnP daemon will listen for requests on the local network. Please
>   enter the IP address it should listen on.
> 
> Just avoid possessive articles.You know the rationale: "that might
> not be "my" network.

Well, it's the LAN where I have superuser access on the router, so it
probably is "my local network" if only in the sense of being local to
me.  And cutting out possessives can often result in the text being
so uninformative that it would be better just to throw out the whole
phrase (this is often true for "the system").  But fortunately "the 
local network" feels completely natural. 

>  Template: miniupnpd/iface
>  Type: string
>  _Description: External WAN network interface where to open ports:

Ah, now that sounds a bit French, and we don't need to worry about it
going on and on this time:

   _Description: External WAN network interface to open ports on:

> + The MiniUPnP daemon will listen on a specific IP address on the local network, then it
> + will open ports on the WAN interface. Enter the name of the WAN network
>   interface on which the MiniUPnP daemon will do the port forwarding.

Carrying on with the idiom-buffing:

    The MiniUPnP daemon will listen on a specific IP address on the local
    network, then open ports on the WAN interface. Please enter the name of
    the WAN network interface on which the MiniUPnP daemon should perform
    port forwarding.

>  Template: miniupnpd/ip6script
>  Type: boolean
>  Default: false
> +_Description: Enable IPv6 firewall chain?
> + Please specify whether the MiniUPnP daemon should run its
> + ip6tables script on startup to initialize the IPv6 firewall chain.
> 
> Already proposed by Justin, previously

I also proposed that it should have a paragraph summarising why users
might or might not want to enable it.  If there are no such
considerations, why bother making it configurable?  But the pros and
cons aren't obvious to me.
 
>  Description: daemon providing UPnP Internet Gateway Device (IGD) services

It's UPnP plus NAT-PMP now; and do we really need to mention IGD here?
There's certainly no point explaining that "Internet Gateway Device"
is abbreviated as "IGD" if we're going to do that all over again in 
the long description.

More importantly, there's a major chunk of context completely missing
from this package description!  If I see MiniUPnPd in the package
repositories, think "that sounds useful", and install it on my laptop,
it's not going to do me any good at all.

   Description: UPnP and NAT-PMP daemon for gateway routers

The man page also has a bit more useful explanation of how UPnP works,
which I think we could afford to include in the long description.

>   MiniUPnPd is a small daemon providing UPnP Internet Gateway Device (IGD)
> + services to the network. UPnP and NAT-PMP are used to improve Internet

This is one of the tricky cases where "the network" is hardly worth
mentioning.

>   connectivity for devices behind a NAT router. Any peer to peer network
>   application such as games, IM, etc. can benefit from a NAT router supporting

That's a really oblique way of saying "don't bother installing it on
your laptop".  Also, online games are rarely P2P, and the list could
do with some sort of hint at Skype rather than just IM.

> + UPnP and/or NAT-PMP. For example, the latest generation Microsoft XBOX 360 and
>   Sony Playstation 3 game machines use UPnP commands to enable the online play
                                                                 ^^^
>   with the XBOX Live service and the Playstation Network. It has been reported
>   that MiniUPnPd is correctly working with the two consoles.

Surplus article.  More importantly, talking about the latest,
modernest, most up-to-date things in a package description is a bad
idea - this already has cobwebs.

> Maybe explain somewhere what UPnP means?

The trouble is, what it stands for is more of an advert than a
meaningful name.  NAT-PMP is better, but my suggested text below takes
it for granted that if you're running Debian on your router then you
already know terms like "NAT" and "LAN".

   Description: UPnP and NAT-PMP daemon for gateway routers
    MiniUPnPd is a small daemon which can be installed on a NAT router to
    provide UPnP Internet Gateway Device and Port Mapping Protocol services,
    enabling clients on the LAN to ask for port redirections. It is
    compatible with peer-to-peer software, messaging applications, and games
    consoles that connect to online services (including XBOX Live and the
    Playstation Network).

-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package
[patch.jbr (text/plain, attachment)]
[control (text/plain, attachment)]
[miniupnpd.templates (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#719950; Package miniupnpd. (Tue, 27 Aug 2013 17:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. (Tue, 27 Aug 2013 17:33:07 GMT) Full text and rfc822 format available.

Message #30 received at 719950@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: debian-l10n-english@lists.debian.org, 719950@bugs.debian.org
Subject: Re: Bug#719950: [RFR] templates://miniupnpd/{miniupnpd.templates}
Date: Tue, 27 Aug 2013 19:30:34 +0200
On 08/22/2013 01:08 PM, Justin B Rye wrote:
> Christian PERRIER wrote:
>> Preamble: I'm not entirely happy with this review. I feel like the
>> whole debconf templates do no look very idiomatic but I found no way
>> to give them less French accent..:-)
> 
>> --- miniupnpd.old/debian/miniupnpd.templates	2013-08-17 07:53:13.557776725 +0200
>> +++ miniupnpd/debian/miniupnpd.templates	2013-08-22 09:29:43.789726277 +0200
>> @@ -2,24 +2,24 @@
>>  Type: boolean
>>  Default: false
>>  _Description: Start the MiniUPnP daemon?
> 
> Hang on, it's not asking if it should happen this once.  We usually
> phrase this as something like
> 
>    _Description: Start the MiniUPnP daemon at boot?

Which I don't like, because it's not only at boot time, but also right
after the package is installed.

>> + Please choose this option if you want to automatically start the MiniUPnP daemon at boot time.
> 
> Why does it default to false?

Because that's otherwise a security concern. If installed using the
non-interactive mode, then it may be possible that MiniUPNPd listens on
the WAN, which is just bad. So, by default, it's best to have it
disabled, and only activate when we are sure that the user has answered
properly to the Debconf questions.

>>  Template: miniupnpd/listen
>>  Type: string
>> +_Description: IP address to listen for UPnP queries on the local network:
> 
> It's the IP address to listen on⁁ on the local network, which is ugly!
> Maybe:
> 
>    _Description: Local address to listen on for UPnP queries:

Hum... I would like to insist hard that we want a LAN address here. If
by mistake, MiniUPNPd listens on the WAN IP, then there is security
consequences.

>> + The MiniUPnP daemon will listen for requests on the local network. Please
>>   enter the IP address it should listen on.
>>
>> Just avoid possessive articles.You know the rationale: "that might
>> not be "my" network.
> 
> Well, it's the LAN where I have superuser access on the router, so it
> probably is "my local network" if only in the sense of being local to
> me.  And cutting out possessives can often result in the text being
> so uninformative that it would be better just to throw out the whole
> phrase (this is often true for "the system").  But fortunately "the 
> local network" feels completely natural. 

What do you suggest then? Keep the sentence as it is right now?

>>  Template: miniupnpd/iface
>>  Type: string
>>  _Description: External WAN network interface where to open ports:
> 
> Ah, now that sounds a bit French

LOL! :)
Not very surprising as the text is from me, right?

>, and we don't need to worry about it
> going on and on this time:
> 
>    _Description: External WAN network interface to open ports on:

Thanks.

> I also proposed that it should have a paragraph summarising why users
> might or might not want to enable it.  If there are no such
> considerations, why bother making it configurable?  But the pros and
> cons aren't obvious to me.

I think this goes beyond the scope of a Debconf template.

>>  Description: daemon providing UPnP Internet Gateway Device (IGD) services
> 
> It's UPnP plus NAT-PMP now; and do we really need to mention IGD here?

I believe we do. It may help having relevant search results and is on
topic. For example, there's linux-igd as well (which is the reason why
miniupnpd is "mini").

> There's certainly no point explaining that "Internet Gateway Device"
> is abbreviated as "IGD" if we're going to do that all over again in 
> the long description.

Ok.

> More importantly, there's a major chunk of context completely missing
> from this package description!  If I see MiniUPnPd in the package
> repositories, think "that sounds useful", and install it on my laptop,
> it's not going to do me any good at all.
> 
>    Description: UPnP and NAT-PMP daemon for gateway routers
> 
> The man page also has a bit more useful explanation of how UPnP works,
> which I think we could afford to include in the long description.
> 
>>   MiniUPnPd is a small daemon providing UPnP Internet Gateway Device (IGD)
>> + services to the network. UPnP and NAT-PMP are used to improve Internet
> 
> This is one of the tricky cases where "the network" is hardly worth
> mentioning.

You could here replace it with "a local area network".

>>   connectivity for devices behind a NAT router. Any peer to peer network
>>   application such as games, IM, etc. can benefit from a NAT router supporting
> 
> That's a really oblique way of saying "don't bother installing it on
> your laptop".  Also, online games are rarely P2P, and the list could
> do with some sort of hint at Skype rather than just IM.
> 
>> + UPnP and/or NAT-PMP. For example, the latest generation Microsoft XBOX 360 and
>>   Sony Playstation 3 game machines use UPnP commands to enable the online play
>                                                                  ^^^
>>   with the XBOX Live service and the Playstation Network. It has been reported
>>   that MiniUPnPd is correctly working with the two consoles.
> 
> Surplus article.  More importantly, talking about the latest,
> modernest, most up-to-date things in a package description is a bad
> idea - this already has cobwebs.
> 
>> Maybe explain somewhere what UPnP means?
> 
> The trouble is, what it stands for is more of an advert than a
> meaningful name. NAT-PMP is better, but my suggested text below takes
> it for granted that if you're running Debian on your router then you
> already know terms like "NAT" and "LAN".
> 
>    Description: UPnP and NAT-PMP daemon for gateway routers
>     MiniUPnPd is a small daemon which can be installed on a NAT router to
>     provide UPnP Internet Gateway Device and Port Mapping Protocol services,
>     enabling clients on the LAN to ask for port redirections. It is
>     compatible with peer-to-peer software, messaging applications, and games
>     consoles that connect to online services (including XBOX Live and the
>     Playstation Network).

Nice! Thanks for your work and suggestions Justin.

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Goirand <zigo@debian.org>:
Bug#719950; Package miniupnpd. (Tue, 27 Aug 2013 19:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <justin.byam.rye@gmail.com>:
Extra info received and forwarded to list. Copy sent to Thomas Goirand <zigo@debian.org>. (Tue, 27 Aug 2013 19:45:04 GMT) Full text and rfc822 format available.

Message #35 received at 719950@bugs.debian.org (full text, mbox):

From: Justin B Rye <justin.byam.rye@gmail.com>
To: debian-l10n-english@lists.debian.org
Cc: 719950@bugs.debian.org
Subject: Re: Bug#719950: [RFR] templates://miniupnpd/{miniupnpd.templates}
Date: Tue, 27 Aug 2013 20:42:40 +0100
[Message part 1 (text/plain, inline)]
Thomas Goirand wrote:
> Justin B Rye wrote:
>>>  _Description: Start the MiniUPnP daemon?
>> 
>> Hang on, it's not asking if it should happen this once.  We usually
>> phrase this as something like
>> 
>>    _Description: Start the MiniUPnP daemon at boot?
> 
> Which I don't like, because it's not only at boot time, but also right
> after the package is installed.

Hmmm, okay, so maybe the best way to phrase it is:

      _Description: Start the MiniUPnP daemon automatically?

and have the rest explained in the long description - that is,

>>> + Please choose this option if you want to automatically start the MiniUPnP daemon at boot time.

      Choose this option if the MiniUPnP daemon should start automatically,
      now and at boot time.

(which incidentally gets rid of an unnecessary pronoun.)
 
>> Why does it default to false?
> 
> Because that's otherwise a security concern. If installed using the
> non-interactive mode, then it may be possible that MiniUPNPd listens on
> the WAN, which is just bad. So, by default, it's best to have it
> disabled, and only activate when we are sure that the user has answered
> properly to the Debconf questions.

Okay.  It just struck me as odd that you'd expect people to choose to
install it if they weren't planning on running it (it's not as if it's
pulled in by Avahi); but then again I wrote this before I'd taken in
the fact that this is happening on a router, where you're entitled to
be a bit more "paranoid".
 
>>>  Template: miniupnpd/listen
>>>  Type: string
>>> +_Description: IP address to listen for UPnP queries on the local network:
>> 
>> It's the IP address to listen on⁁ on the local network, which is ugly!
>> Maybe:
>> 
>>    _Description: Local address to listen on for UPnP queries:
> 
> Hum... I would like to insist hard that we want a LAN address here. If
> by mistake, MiniUPNPd listens on the WAN IP, then there is security
> consequences.

You're right, I was overlooking the fact that the IP address of my
router's WAN interface is necessarily a "local" address.  So maybe
this should be

      _Description: LAN address to listen on for UPnP queries:

>>> + The MiniUPnP daemon will listen for requests on the local network. Please
>>>   enter the IP address it should listen on.
>>>
>>> Just avoid possessive articles.You know the rationale: "that might
>>> not be "my" network.
>> 
>> Well, it's the LAN where I have superuser access on the router, so it
>> probably is "my local network" if only in the sense of being local to
>> me.  And cutting out possessives can often result in the text being
>> so uninformative that it would be better just to throw out the whole
>> phrase (this is often true for "the system").  But fortunately "the 
>> local network" feels completely natural. 
> 
> What do you suggest then? Keep the sentence as it is right now?

Yes, I left it as the above.
 
[...]
>> I also proposed that it should have a paragraph summarising why users
>> might or might not want to enable it.  If there are no such
>> considerations, why bother making it configurable?  But the pros and
>> cons aren't obvious to me.
> 
> I think this goes beyond the scope of a Debconf template.

At present debconf is asking sysadmins to make a decision without
providing them with any way of working out what the right answer is,
or what's at stake.  Is this something I can safely try out if I'm
using IPv6 and shouldn't bother with otherwise, or is it a matter of
weighing significant security concerns against a non-zero risk of
blocking existing connections, or what?

>>>  Description: daemon providing UPnP Internet Gateway Device (IGD) services
>> 
>> It's UPnP plus NAT-PMP now; and do we really need to mention IGD here?
> 
> I believe we do. It may help having relevant search results and is on
> topic. For example, there's linux-igd as well (which is the reason why
> miniupnpd is "mini").

Well, it's still in the long description, though I notice now that
I've left out "IGD" there.  We've got a bit of spare space...

>>    Description: UPnP and NAT-PMP daemon for gateway routers

Maybe that could become:

      Description: UPnP IGD and NAT-PMP daemon for gateway routers

What do people think?  I've left it out of my revised draft for now.

>>     MiniUPnPd is a small daemon which can be installed on a NAT router to
>>     provide UPnP Internet Gateway Device and Port Mapping Protocol services,
>>     enabling clients on the LAN to ask for port redirections. It is
>>     compatible with peer-to-peer software, messaging applications, and games
>>     consoles that connect to online services (including XBOX Live and the
>>     Playstation Network).
> 
> Nice! Thanks for your work and suggestions Justin.

I've also just noticed that "XBOX Live" is trademarked as "Xbox LIVE".
Oh, and it's Play_S_tation Network, of course it is.
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package
[patch.jbr2 (text/plain, attachment)]
[miniupnpd.templates (text/plain, attachment)]
[control (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Goirand <zigo@debian.org>:
Bug#719950; Package miniupnpd. (Wed, 28 Aug 2013 05:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Thomas Goirand <zigo@debian.org>. (Wed, 28 Aug 2013 05:03:04 GMT) Full text and rfc822 format available.

Message #40 received at 719950@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 719950@bugs.debian.org
Cc: debian-l10n-english@lists.debian.org
Subject: Re: Bug#719950: [RFR] templates://miniupnpd/{miniupnpd.templates}
Date: Wed, 28 Aug 2013 06:57:56 +0200
[Message part 1 (text/plain, inline)]
Quoting Thomas Goirand (zigo@debian.org):

> >> @@ -2,24 +2,24 @@
> >>  Type: boolean
> >>  Default: false
> >>  _Description: Start the MiniUPnP daemon?
> > 
> > Hang on, it's not asking if it should happen this once.  We usually
> > phrase this as something like
> > 
> >    _Description: Start the MiniUPnP daemon at boot?
> 
> Which I don't like, because it's not only at boot time, but also right
> after the package is installed.

Still, the most important  point is that is will start at boot.

To address your concern, we might think abou tadding a mention in the
long part of the template:

Template: miniupnpd/start_daemon
Type: boolean
Default: false
_Description: Start the MiniUPnP daemon at boot?
 Please choose this option if you want to automatically start the MiniUPnP
 daemon at boot time.
 .
 If you choose this option, the daemon will also be launched
 automatically after the package is installed.



[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Goirand <zigo@debian.org>:
Bug#719950; Package miniupnpd. (Mon, 02 Sep 2013 07:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Thomas Goirand <zigo@debian.org>. (Mon, 02 Sep 2013 07:33:07 GMT) Full text and rfc822 format available.

Message #45 received at 719950@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 719950@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [LCFC] templates://miniupnpd/{miniupnpd.templates}
Date: Mon, 2 Sep 2013 07:51:56 +0200
[Message part 1 (text/plain, inline)]
This is the last call for comments for the review of debconf
templates for miniupnpd.

The reviewed templates will be sent on Wednesday, September 04, 2013 to this bug report
and a mail will be sent to this list with "[BTS]" as a subject tag.


-- 


[miniupnpd.templates (text/plain, attachment)]
[control (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Goirand <zigo@debian.org>:
Bug#719950; Package miniupnpd. (Thu, 05 Sep 2013 05:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Thomas Goirand <zigo@debian.org>. (Thu, 05 Sep 2013 05:09:04 GMT) Full text and rfc822 format available.

Message #50 received at 719950@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 719950@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [BTS#719950] templates://miniupnpd/{miniupnpd.templates} : Final update for English review
Date: Thu, 5 Sep 2013 07:05:19 +0200
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

On Saturday, August 17, 2013, I notified you of the beginning of a review process
concerning debconf templates for miniupnpd.

The debian-l10n-english contributors have now reviewed these templates,
and the final proposed changes are attached to this update to the
original bug report.

Please review the suggested changes, and if you have any
objections, let me know in the next 3 days.

However, please try to avoid uploading miniupnpd with these changes
right now.

The second phase of this process will begin on Sunday, September 08, 2013, when I will
coordinate updates to translations of debconf templates.

The existing translators will be notified of the changes: they will
receive an updated PO file for their language.

Simultaneously, a general call for new translations will be sent to
the debian-i18n mailing list.

Both these calls for translations will request updates to be sent as
individual bug reports. That will probably trigger a lot of bug
reports against your package, but these should be easier to deal with.

The call for translation updates and new translations will run until
about Sunday, September 29, 2013. Please avoid uploading a package with fixed or changed
debconf templates and/or translation updates in the meantime. Of
course, other changes are safe.

Please note that this is an approximative delay, which depends on my
own availability to process this work and is influenced by the fact
that I simultaneously work on many packages.

Around Monday, September 30, 2013, I will contact you again and will send a final patch
summarizing all the updates (changes to debconf templates,
updates to debconf translations and new debconf translations).

Again, thanks for your attention and cooperation.


-- 


[miniupnpd.templates (text/plain, attachment)]
[control (text/plain, attachment)]
[patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Wed, 25 Sep 2013 15:51:16 GMT) Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. (Wed, 25 Sep 2013 15:51:16 GMT) Full text and rfc822 format available.

Message #55 received at 719950-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 719950-close@bugs.debian.org
Subject: Bug#719950: fixed in miniupnpd 1.8.20130730-2
Date: Wed, 25 Sep 2013 15:48:33 +0000
Source: miniupnpd
Source-Version: 1.8.20130730-2

We believe that the bug you reported is fixed in the latest version of
miniupnpd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 719950@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated miniupnpd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 25 Sep 2013 23:30:11 +0800
Source: miniupnpd
Binary: miniupnpd
Architecture: source amd64
Version: 1.8.20130730-2
Distribution: unstable
Urgency: low
Maintainer: Thomas Goirand <zigo@debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 miniupnpd  - UPnP and NAT-PMP daemon for gateway routers
Closes: 719950 722278 722602 723025 723147 723768 724029 724310
Changes: 
 miniupnpd (1.8.20130730-2) unstable; urgency=low
 .
   * Added the review from the intl team (Closes: #719950).
   * Added Debconf translations, with thanks to:
     - Japanese, victory (Closes: #724310).
     - Portuguese, Traduz (Closes: #724029).
     - French, Baptiste Jammet (Closes: #723768).
     - German, Chris Leick (Closes: #723147).
     - Czech, Michal Šimůnek (Closes: #723025).
     - Russian, Yuri Kozlov (Closes: #722602).
     - Danish, Joe Dalton (Closes: #722278).
Checksums-Sha1: 
 63edb36edfc7014fba36c5eb3a408b1cf75ce4cf 1295 miniupnpd_1.8.20130730-2.dsc
 a685892fc746adc5db4b0b3455f3eec660f170f9 12952 miniupnpd_1.8.20130730-2.debian.tar.xz
 1b14cb2c377968f2fb443ca4755ac72507d9a07a 70814 miniupnpd_1.8.20130730-2_amd64.deb
Checksums-Sha256: 
 04e2ecf0793d33ae205350cc23b3aa9f001913f4300db31ad4dbd68f4b65a7c2 1295 miniupnpd_1.8.20130730-2.dsc
 3b2aa940ef47676824fce078dee33df056d1e9dc148800810352f19484089212 12952 miniupnpd_1.8.20130730-2.debian.tar.xz
 e7ba6344974a81ba932f8b984b72b7a7a11c650c92116801fd66dc7c746cc84a 70814 miniupnpd_1.8.20130730-2_amd64.deb
Files: 
 ea4b330065f22ad7cdbf437c82d3d6c4 1295 net optional miniupnpd_1.8.20130730-2.dsc
 c7d73744654dcb21bfe7fd548a4ee59c 12952 net optional miniupnpd_1.8.20130730-2.debian.tar.xz
 9f26015a9b5b9e1cde95e70025358d48 70814 net optional miniupnpd_1.8.20130730-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iEYEARECAAYFAlJDA7EACgkQl4M9yZjvmknJiACfbwgmZlnO2uxGod880Z2I4PI9
uuoAoLym/GQRrCBsSUocZfBiodsftrPS
=ODor
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Goirand <zigo@debian.org>:
Bug#719950; Package miniupnpd. (Thu, 26 Sep 2013 07:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Thomas Goirand <zigo@debian.org>. (Thu, 26 Sep 2013 07:00:04 GMT) Full text and rfc822 format available.

Message #60 received at 719950@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 719950@bugs.debian.org
Subject: miniupnpd: General update after the debconf review process
Date: Thu, 26 Sep 2013 07:09:09 +0200
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

On Saturday, August 17, 2013, I sent you a notification about the beginning of a review
action on debconf templates for miniupnpd.

Then, I sent you a bug report with rewritten templates and announcing
the beginning of the second phase of this action: call for translation
updates.

Translators have been working hard and here is now the result of their efforts.

Please consider using it EVEN if you committed files to your
development tree as long as they were reported.

The attached tarball contains:

- debian/changelog with the list of changes
- debian/control with rewrites of packages' descriptions
- debian/<templates> with all the rewritten templates file(s)
- debian/po/*.po with all PO files (existing ones and new ones)

As said, please use *at least* the PO files as provided here,
preferrably over those sent by translators in their bug reports. All
of them have been checked and reformatted. In some cases, formatting
errors have been corrected.

The patch.rfr file contains a patch for the templates and control
file(s) alone.

Please note that this patch applies to the templates and control
file(s) of your package as of Saturday, August 17, 2013. If your package was updated
in the meantime, I may have updated my reference copy....but I also
may have missed that. This is indeed why I suggested you do not
modified such files while the review process was running,
remember..:-)

It is now safe to upload a new package version with these changes.

Please notify me of your intents with regards to this. 

There is of course no hurry to update your package but feel free to
contact me in case you would need sponsoring or any other action to
fix this.



-- 


[patch.tar.gz (application/octet-stream, attachment)]
[patch.rfr (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#719950; Package miniupnpd. (Thu, 26 Sep 2013 17:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. (Thu, 26 Sep 2013 17:06:04 GMT) Full text and rfc822 format available.

Message #65 received at 719950@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Christian PERRIER <bubulle@debian.org>, 719950@bugs.debian.org
Subject: Re: Bug#719950: miniupnpd: General update after the debconf review process
Date: Fri, 27 Sep 2013 01:03:51 +0800
On 09/26/2013 01:09 PM, Christian PERRIER wrote:
> Dear Debian maintainer,
> 
> On Saturday, August 17, 2013, I sent you a notification about the beginning of a review
> action on debconf templates for miniupnpd.
> 
> Then, I sent you a bug report with rewritten templates and announcing
> the beginning of the second phase of this action: call for translation
> updates.

J'ai uploade hier l'update avec tout... :)

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Goirand <zigo@debian.org>:
Bug#719950; Package miniupnpd. (Thu, 26 Sep 2013 17:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Thomas Goirand <zigo@debian.org>. (Thu, 26 Sep 2013 17:21:04 GMT) Full text and rfc822 format available.

Message #70 received at 719950@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Thomas Goirand <zigo@debian.org>, 719950@bugs.debian.org
Subject: Re: Bug#719950: miniupnpd: General update after the debconf review process
Date: Thu, 26 Sep 2013 19:18:06 +0200
[Message part 1 (text/plain, inline)]
Quoting Thomas Goirand (zigo@debian.org):
> On 09/26/2013 01:09 PM, Christian PERRIER wrote:
> > Dear Debian maintainer,
> > 
> > On Saturday, August 17, 2013, I sent you a notification about the beginning of a review
> > action on debconf templates for miniupnpd.
> > 
> > Then, I sent you a bug report with rewritten templates and announcing
> > the beginning of the second phase of this action: call for translation
> > updates.
> 
> J'ai uploade hier l'update avec tout... :)

ACK, the BTS being now french-speaking..;-)

Yeah, that was a mistake of mine. I intended to close the whole work
on this package and wasintending to skip the "send patch" step, but
finally forgot...


[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 04 Nov 2013 07:36:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:30:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.